$schema: https://joyce.sourcesense.com/v1/schema
$metadata:
  subtype: import
  name: news
  description: Nytimes news scheme
  development: true
  uid: uri
  collection: news
  indexes:
    - section: 1
    - section: 1
      published_date: 0
type: object
properties:
  uri:
    type: string
  url:
    type: string
  published_date:
    type: string
  section:
    type: string
  subsection:
    type: string
  byline:
    type: string
  title:
    type: string
  abstract:
    type: string
  test:
    type: string
    $plugin: asd
  images:
    type: array
    $path: "$.media[?(@.type == 'image')]"
    items:
      type: object
      properties:
        caption:
          type: string
        url:
          type: string
          $path: "$['media-metadata'][0].url"

        
